package de.ivu.elect.presentation.mandant.action;

import javax.inject.Inject;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.mandant.MandantPasswordResetView;

public class MandantAdminPasswortResetAction extends AbstractMandantAction {

  private static final long serialVersionUID = 1L;

  public MandantAdminPasswortResetAction() {
    super();
  }

  @View
  @Inject
  private MandantPasswordResetView mandantPasswordResetView;

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.MANDANT_PASSWORD_RESET;
  }

  @Override
  protected String doIt(Mandant mandant) {
    return mandantPasswordResetView.edit(mandant);
  }

  @Override
  public String getLabelKey() {
    return "mandant.admin.neues.passwort.menu.item";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconKey();
  }
}
